aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2017-12-11 18:37:35 +0100
committerTristan Gingold <tgingold@free.fr>2017-12-11 18:37:35 +0100
commitc36db20ab9f5fa59a40133d83849a3dc939e136e (patch)
treee2369e8837d963078bb186faf4d85d7c4f1cbe01 /testsuite
parent79f63fab401531276859c020b1ce518bc312e0cf (diff)
downloadghdl-c36db20ab9f5fa59a40133d83849a3dc939e136e.tar.gz
ghdl-c36db20ab9f5fa59a40133d83849a3dc939e136e.tar.bz2
ghdl-c36db20ab9f5fa59a40133d83849a3dc939e136e.zip
ticket24: check if tested feature is present.
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/gna/ticket24/testsuite.sh27
1 files changed, 17 insertions, 10 deletions
diff --git a/testsuite/gna/ticket24/testsuite.sh b/testsuite/gna/ticket24/testsuite.sh
index 1336ae331..136317e17 100755
--- a/testsuite/gna/ticket24/testsuite.sh
+++ b/testsuite/gna/ticket24/testsuite.sh
@@ -2,25 +2,32 @@
. ../../testenv.sh
-analyze -fpsl psl.vhdl
-elab_simulate -fpsl psl --psl-report=psl.out
+GHDL_STD_FLAGS="-fpsl"
+analyze psl.vhdl
+elab psl
+if ghdl_has_feature psl psl; then
+ simulate psl --psl-report=psl.out
-if ! diff --strip-trailing-cr psl.out psl.ref > /dev/null; then
- echo "report mismatch"
- exit 1
-fi
+ if ! diff --strip-trailing-cr psl.out psl.ref > /dev/null; then
+ echo "report mismatch"
+ exit 1
+ fi
-rm -f psl.out
+ rm -f psl.out
+fi
clean
# Using vhdl 08
GHDL_STD_FLAGS="-fpsl --std=08"
analyze psl.vhdl
-elab_simulate psl --psl-report=psl.out
+elab -fpsl psl
+if ghdl_has_feature psl psl; then
+ simulate psl --psl-report=psl.out
-diff --strip-trailing-cr -q psl.out psl.ref
+ diff --strip-trailing-cr -q psl.out psl.ref
-rm -f psl.out
+ rm -f psl.out
+fi
clean
# Usage example (python 2.7):